## org.codehaus.groovy.tools.groovydoc
Class GroovyDocTemplateEngine

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

    public class GroovyDocTemplateEngine

extends Object

Constructor Summary
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)`
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool,
                                   ResourceManager resourceManager,
                                   String classTemplate)

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool,
                                   ResourceManager resourceManager,
                                   String[] docTemplates,
                                   String[] packageTemplates,
                                   String[] classTemplates)

Copyright © 2003-2008 The Codehaus. All rights reserved.